> For the complete documentation index, see [llms.txt](https://docs.shimoku.com/dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shimoku.com/dev/elements/charts/html/box-with-button.md).

# Box With Button

{% hint style="info" %}
WARNING avoid special symbols such as `(, ), [, ]` and similar in the texts of this component because it could break the look\&feel
{% endhint %}

Input variables:

```python
href: str
title: str
line: str
button_text: str
```

And accepts the following input variable as optional:

```python
background_url: Optional[str]
```

Example of use:

```python
s.plt.html(
    order=0,
    html=s.html_components.box_with_button(
        href='https://cutt.ly/qJANGcX',
        title='Success case',
        line='AI Explained',
        button_text='Visit now!',
    )
)
```

![You can add text with t a very nice background to highlight and use as an indication of what will be linked in the button. A new window will open with the link.](/files/fHayoktgnPDjPUPNcMAr)

You can resize, and change position at will, for example:

```python
s.plt.html(
    order=0, cols_size=5, padding='1,0,0,6',
    html=s.html_components.box_with_button(
        href='https://cutt.ly/qJANGcX',
        title='Success case',
        line='AI Explained',
        button_text='Visit now!',
    )
)
```

![Note the use of cols\_size=5, padding='1,0,0,6', that change the size and position of the component. The order of spaces is Top, Right, Bottom, Left.](/files/bavCXpRHMLLGiqUvnsIX)

More on how to use the [Grid](/dev/building-web-app/grid.md).

#### Video demonstration <a href="#video-demonstration-of-the-bar-chart" id="video-demonstration-of-the-bar-chart"></a>

{% embed url="<https://www.loom.com/share/02a884b4ddf14697a1498c3ddd18650f>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shimoku.com/dev/elements/charts/html/box-with-button.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
